Bug 593661 - Review Request: maven-enforcer - Maven Enforcer
Summary: Review Request: maven-enforcer - Maven Enforcer
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 12:38 UTC by Alexander Kurtakov
Modified: 2010-05-21 07:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-21 07:51:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jjohnstn: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Kurtakov 2010-05-19 12:38:20 UTC
Spec URL: http://akurtakov.fedorapeople.org/maven-enforcer.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-enforcer-1.0-0.1.b2.fc13.src.rpm
Description: Enforcer is a build rule execution framework.

Comment 1 Alexander Kurtakov 2010-05-19 13:04:05 UTC
Successful build in dist-f14-maven221:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2197130

Comment 2 Jeff Johnston 2010-05-19 16:21:11 UTC
Approved as all items below are extraneous warnings.

bash $ rpmlint maven-enforcer.spec 
maven-enforcer.spec: W: invalid-url Source0: enforcer-1.0-beta-2.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

bash $ rpmlint maven-enforcer-1.0-0.1.b2.fc14.noarch.rpm 
maven-enforcer.noarch: W: no-documentation
maven-enforcer.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-enforcer
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

bash $ rpmlint maven-enforcer-javadoc-1.0-0.1.b2.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

bash $ rpmlint maven-enforcer-api-1.0-0.1.b2.fc14.noarch.rpm 
maven-enforcer-api.noarch: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
maven-enforcer-api.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

bash $ rpmlint maven-enforcer-plugin-1.0-0.1.b2.fc14.noarch.rpm 
maven-enforcer-plugin.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

bash $ rpmlint maven-enforcer-rules-1.0-0.1.b2.fc14.noarch.rpm 
maven-enforcer-rules.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 3 Alexander Kurtakov 2010-05-19 18:56:38 UTC
New Package CVS Request
=======================
Package Name: maven-enforcer
Short Description: Maven Enforcer
Owners: akurtakov
Branches: 
InitialCC:

Comment 4 Kevin Fenzi 2010-05-20 19:43:14 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Alexander Kurtakov 2010-05-21 07:51:04 UTC
Built in koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=174403


Note You need to log in before you can comment on or make changes to this bug.